
<!DOCTYPE html>

{% load static  %}

<html lang="en">
<head>
    <link rel="stylesheet" type="text/css" href="{% static 'css/search_bar.css' %}">
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<form action="{% url 'all_sites' %}" class="search-bar" method="post">
    {% csrf_token %}
    <input name="q" type="search" pattern=".*\S.*" required >
    <button class="search-btn" type="submit">
        <span>Search</span>
    </button>
</form>
</body>
</html>